%define upstream_name	 File-RsyncP
%define upstream_version 0.74

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Perl Rsync client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Getopt::Long) >= 2.240.0
BuildRequires: perl-devel
%description
File::RsyncP is a perl implementation of an Rsync client. It is compatible
with Rsync 2.5.5 (protocol version 26). It can send or receive files, either
by running rsync on the remote machine, or connecting to an rsyncd daemon on
the remote machine.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE='%{optflags}'
make

%install
%makeinstall_std

%check
%make test

%files 
%doc Changes LICENSE MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.740.0-3.mga6
+ Revision: 1027514
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.740.0-2.mga6
+ Revision: 957325
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.740.0-1.mga6
+ Revision: 843609
- update to 0.74

* Wed Oct 15 2014 umeabot <umeabot> 0.700.0-9.mga5
+ Revision: 741001
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.700.0-8.mga5
+ Revision: 684758
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.700.0-7.mga5
+ Revision: 631202
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.700.0-6.mga4
+ Revision: 524758
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.700.0-5.mga4
+ Revision: 431519
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.700.0-4.mga3
+ Revision: 367356
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.700.0-3.mga3
+ Revision: 250637
- rebuild for perl 5.16

* Sun Jun 12 2011 sander85 <sander85> 0.700.0-2.mga2
+ Revision: 104275
- Rebuild for perl 5.14

* Fri Jan 21 2011 jquelin <jquelin> 0.700.0-1.mga1
+ Revision: 30386
- mageia rebuild
- imported package perl-File-RsyncP


* Tue Jul 27 2010 Jérôme Quelin <jquelin@mandriva.org> 0.700.0-1mdv2011.0
+ Revision: 561580
- update to 0.70

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 0.680.0-2mdv2011.0
+ Revision: 555258
- rebuild

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.680.0-1mdv2010.0
+ Revision: 407748
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 0.68-4mdv2009.0
+ Revision: 256997
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.68-2mdv2008.1
+ Revision: 152080
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.68-1mdv2008.1
+ Revision: 135841
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Wed Mar 07 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.68-1mdv2007.1
+ Revision: 134795
- new version

  + Olivier Thauvin <nanardon@mandriva.org>
    - 0.68
    - 0.64
    - Import perl-File-RsyncP

* Thu May 05 2005 Olivier Thauvin <nanardon@mandriva.org> 0.52-1mdk
- First mandriva spec

